/actions Get a list of actions
Returns actions in Action Stream order: ASAP first, then dated actions by due date (overdue first), then waiting-for, then queued actions without a date, then completed.
Query parameters (14)
| Name | Type | Description |
|---|---|---|
done | boolean | Should only return completed actions (i.e. have status `done`)? |
status | string | Return actions of a particular status (i.e. `asap`, `date`, `date_time`, `waiting`, `queued`, `queued_with_date`, or `done`) |
assignee_id | string | Return actions assigned to a specific user |
contact_id | string | Return actions for a specific contact (only use one of `contact_id` or `company_id` at a time) |
company_id | string | Return actions for a specific company (only use one of `contact_id` or `company_id` at a time) |
date_filter | string | Signals which date field to be used for only returning resources, added or edited, in a specified date range (only to be used with `since` and/or `until`, not with `modified_since` or `unmodified_since`) |
since | string | Specifies the start of the date range to filter resources, which have been added or edited (use with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
until | string | Specifies the end of the date range to filter resources, which have been added or edited (use with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
modified_since | string | Return only resources that were modified since specified time (cannot be used with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
unmodified_since | string | Return only resources that were unmodified since specified time (cannot be used with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp) |
sort_by | string | Specify field by which to order the results (use in conjunction with `order`) |
order | string | Specify the order (ascending or descending) of the sort of the results (use in conjunction with `sort_by`) |
page | integer | Page number. Starts from 1. Default is 1. |
per_page | integer | Number of records to return. Maximum 100 allowed. Default is 10. |
Responses
200 OK
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields →
actionsarray<object>array item fields →
actionobjectCompletable tasks related to Contacts. ASAP first, then dated actions ordered by due date (overdue first), followed by waiting for (blocked) and finally queued actions (without any date).
object fields →
idstringbson-idID of the action
assignee_idstringbson-idrequiredID of the user, to whom the action is assigned. Defaults to the logged API user's ID.
contact_idstringbson-idrequiredID of the contact, with whom the action is associated
textstringrequiredThe main text/description of the action
statusstringStatus of the action
enum: asap · date · date_time · waiting · queued · queued_with_date · done
datestringdateDue date for the action (status must be one of `date`, `date_time` or `queued_with_date`). Defaults to today's date.
exact_timeintegerunix-timestampThe UNIX Epoch time in seconds the action is due (status must be `date_time`)
positionintegerint32The position of the action (in the list of queued actions)
donebooleanHas the action been marked as complete?
done_atstringdateThe date the action was completed (only returned, if action complete)
created_atstringdate-timeCreation time of the action
modified_atstringdate-timeLast modification time of the action
total_countintegerint32Total number of items
pageintegerint32Current page number
per_pageintegerint32Number of items returned in each page
max_pageintegerint32The page number of the last page of items
Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.